## com.thingmagic
Enum Iso180006b.SelectOp

    java.lang.Object
      java.lang.Enum<Iso180006b.SelectOp>
          com.thingmagic.Iso180006b.SelectOp

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Iso180006b.SelectOp>

Enclosing class:
  Iso180006b

    public static enum Iso180006b.SelectOp

extends java.lang.Enum<Iso180006b.SelectOp>

Operations that can be performed as part of a Group Select operation

Enum Constant Summary
`EQUALS` Select if tag data matches op data
`GREATERTHAN` Select if tag data is greater than op data
`LESSTHAN` Select if tag data is less than op data
`NOTEQUALS` Select if tag data does not match op data

Method Summary
`static Iso180006b.SelectOp` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Iso180006b.SelectOp[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUALS

    public static final Iso180006b.SelectOp EQUALS

  Select if tag data matches op data

### NOTEQUALS

    public static final Iso180006b.SelectOp NOTEQUALS

  Select if tag data does not match op data

### LESSTHAN

    public static final Iso180006b.SelectOp LESSTHAN

  Select if tag data is less than op data

### GREATERTHAN

    public static final Iso180006b.SelectOp GREATERTHAN

  Select if tag data is greater than op data

Method Detail

### values

    public static Iso180006b.SelectOp[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Iso180006b.SelectOp c : Iso180006b.SelectOp.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Iso180006b.SelectOp valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null